Package net.commoble.exmachina.api

# Enum Class Channel.Redstone

java.lang.Object
java.lang.Enum<Channel.Redstone>
net.commoble.exmachina.api.Channel.Redstone

All Implemented Interfaces:
  `Serializable`, `Comparable<Channel.Redstone>`, `Constable`, `Channel`

Enclosing interface:
  `Channel`

public static enum Channel.Redstone extends Enum<Channel.Redstone> implements Channel
The Redstone Channel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Nested classes/interfaces inherited from interface net.commoble.exmachina.api.Channel

`Channel.Redstone, Channel.Single`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
The Redstone Channel Instance

## Field Summary

### Fields inherited from interface net.commoble.exmachina.api.Channel

`ALL, CODEC, EXPANDED_SINGLES, SIXTEEN_COLORS`

## Method Summary

Modifier and Type
Method
Description
`Set<Channel>`
`getConnectableChannels()`
Returns Set of Channels this channel can connect to.
`String`
`toString()`
`static Channel.Redstone`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Channel.Redstone[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final Channel.Redstone INSTANCE
The Redstone Channel Instance

## Method Details

### values

public static Channel.Redstone[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Channel.Redstone valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getConnectableChannels

public Set<Channel> getConnectableChannels()
Description copied from interface: `Channel`
Returns Set of Channels this channel can connect to.

Specified by:
  `getConnectableChannels` in interface `Channel`
Returns:
  Set of Channels this channel can connect to

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Channel.Redstone>`